小胖熊酷数码GPS论坛 www.sosaw.com

 找回密码
 注册register

扫一扫,访问微社区

查看: 9054|回复: 17

关于 Mdict 2.5 在 wince 2.11 上运行(已成功解决,可以运行了)

[复制链接]
发表于 2009-1-29 00:16 | |阅读模式
分享到:
完整的 HPCPro 是带有htmlview.dll的,后期发布的HPC版是For hpc2000的(WinCE.net 4.X 内核). 你需要找for hpcpro的版本来用。可以在这里找: http://www.octopus-studio.com/download_old.cn.htm
 楼主| 发表于 2009-1-28 15:10 |

关于 Mdict 2.5 在 wince 2.11 上运行(已成功解决,可以运行了)

偶然得到一台NEC R520的机器 系统为wince2.11日文版 研究数日后汉化搞定,就想要实现主要目的--字典功能。


在网上寻觅半天糊里糊涂给我找到mdict2.4的绿色版软件,运行正常。由于没有发音就开始钻研Mdict来了。


 


 


 


奇怪的是我后来在http://www.octopus-studio.com上面找到的2.5版本不但不能运行,连里面的2.4都不能运行,



难道我之前找到的是修改后的版本?所以可以运行?因为要实现发音,请问是否mdict2.5也有同样的修改版本能对付wince2.11


 


附件中的版本好象也不用考虑什么htmlview.dll文件的问题,这个又是什么回事?


 


望众高人和rayman解答,谢谢!


[此贴子已经被作者于2009-2-4 17:49:21编辑过]

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册register

x
发表于 2009-2-3 21:25 |
楼上的兄弟,查看一下Windows文件夹下是否有htmlviewm.dll
另外问rayman大大,是否缺htmlview.dll就没可能运行。有解决办法吗?谢谢。
 楼主| 发表于 2009-1-30 17:28 |

后来2.5版本 我就是从这里:http://www.octopus-studio.com/download_old.cn.htm下载的,


 


自动安装包:


  For HPC (适用于HPCPro,HPC2000或者支持的WinCE.net 4.1及以上版本, WinCE.Net设备必须带有htmlview.dll才可运行)


 


安装时他说我设备不对,不能安装


 


然后我下载
手动安装包:
HPC(适用于HPCPro,HPC2000或者WinCE.net 4.1及以上版本):
Note: WinCE.Net设备必须带有htmlview.dll才可运行
   ARM CPU
   SH3 CPU
   MIPS CPU


由于机器的CPU是MIPS 4000 Famliy的,我下载 MIPS 的版本。我解压后把文件夹的名字改成:Mdict,然后拷贝到CF卡上(直接第一层路径),但是还是运行不了,并出现错误提示,但由于是日文系统的提示,具体我也不是很清楚提醒的是什么(后附上出错画面照片)


同一页下载的2.4版本 也是如此。我就很奇怪了,难道我之前的2.4版本和官方网页上的不同???
 


本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册register

x
 楼主| 发表于 2009-2-2 11:45 |

尝试你提供的软件,运行以后让其分析 Mdict.exe 没有显示任何内容:(截屏软件是黑白的,所以画面是黑白的,见谅)



 



 


是不是意味着其实这个版本是给HPC2000的?


而有没有可能同样的官网上的Mdict2。5也只支持HPC2000而不支持hpc pro的机器呢?


[此贴子已经被作者于2009-2-2 11:50:14编辑过]

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册register

x
发表于 2009-1-30 22:30 |
看看这个网站的资料有没有帮助? http://hpcmonex.net/izemize.htm
用里面的executabilitycheck 找一下少了什么dll.
 楼主| 发表于 2009-2-3 21:58 |

回楼上的兄弟,找遍\windows 下面都没有htmlview.dll必要这个文件:


 




[此贴子已经被作者于2009-2-3 22:25:53编辑过]

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册register

x
发表于 2009-2-4 09:28 |
 除非被其他人修改过,否则是一定需要htmlview.dll这个文件的,另外你有没有在文件浏览器里设置显示系统文件?
发表于 2009-2-5 21:26 |

还有189m与3百多m的语音库。到论坛上搜一下应该很容易找到。


 


楼主,我的一旧机windows下没有htmlview.dll文件,系统是ce2.1x,mips,无法运行任何版本的mdict,


 


楼主能否将你找到的htmlview.dll发到论坛上?谢谢。。

发表于 2009-2-5 22:50 |

谢谢,我去试一下

 楼主| 发表于 2009-2-5 22:05 |

回楼上:


我的htmlview.dll是机器本身就有的,本来我想将其复制出来给你的,但这个文件在PC端和HPC上都是看不到的,即使将隐藏属性去掉都是如此。不过你可以下这个包里的文件尝试一下:http://hpcmonex.net/izemize/mips211.zip 我估计应该是对的,看你是否可以使用?


 


 

 楼主| 发表于 2009-2-8 23:04 |

palm-size 的机器不能运行是不是还是和文件缺少有关如果是同样的系统和CPU应该是可以运行的吧因为在HPC上运行for Palm-size的软件就是显示无法兼容,但运行是没有问题.反之应该也是同样的道理吧


 


另外,现在运行2.5 出现了另外一个问题,发声声音库一旦装上,偶尔就会出错,运行376M的那个最明显,有些词一查就出错退出.正在研究....

发表于 2009-2-6 13:45 |

无法运行。。。。

发表于 2009-2-7 11:24 |
已找到正确的htmlview.dll(其他需要此dll的程序能正常运行),但mdict好像不支持palm-size PC.
 楼主| 发表于 2009-2-4 17:47 |

 


成功了!!终于可以运行了。


 


确实本身是有htmlview.dll这个文件,虽然我以开启显示系统文件,但同样没有先显示这个文件,后来在本站上找到DLL打包文件后将htmlview.dll从PC 上拷贝到/windows时系统提醒是否更换才确定是有这个文件。但这个文件不是运行不了的关键,正好DLL包里面有一堆文件就逐个来试,结果发现其中toolhelp.dll这个文件有和没有时的提示是不一样的,有的时候就提醒不是此系统的文件,没有的时候就和之前的提示一样。后来灵机一动估计是否此包中的toolhelp.dll的文件不适合ce2.11-MPIS的格式?结果就上网寻相关的关键字,在不费多少功夫的情况下终于找到,将其复制到\windows下,2.5终于可以运行了!!发声的功能实现了!!真是非常激动!!


 


 适合CE2.11 MPIS的toolhelp.dll



 


现在激动之余想问一下,除了那个41MB的发声文件之外,还有没有什么好的声音库?


 


最后谢谢rayman不断帮助和提醒,也谢谢你写了个这么好的文件给大家使用。

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册register

x

百度SITEMAP|小黑屋|Archiver|手机版|小胖熊酷数码GPS论坛 www.sosaw.com ( 沪ICP备16050520号-1 )|网站地图 

GMT+8, 2019-12-16 13:25 , Processed in 0.248457 second(s), 25 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表